#### Previous topic

scipy.sparse.csc_matrix.tolil

#### Next topic

scipy.sparse.csc_matrix.trunc

# scipy.sparse.csc_matrix.transpose

`csc_matrix.``transpose`(axes=None, copy=False)

  Reverses the dimensions of the sparse matrix.

  Parameters:

  axes : None, optional

  > This argument is in the signature solely for NumPy compatibility reasons. Do not pass in anything except for the default value.

  copy : bool, optional

  > Indicates whether or not attributes of self should be copied whenever possible. The degree to which attributes are copied varies depending on the type of sparse matrix being used.

  Returns: | p : self with the dimensions reversed.

  See also

  `np.matrix.transpose`
    NumPy’s implementation of ‘transpose’ for matrices